
#include <stdio.h>
#include <string.h>
#include <errno.h>

#include <config.h>
#include <text-mmap.h>

int
main (int argc, char** argv)
{
  int res = 0;
  txtmap_info_t mi;
  char * ptr = text_mmap (argv[1], PROT_WRITE, MAP_PRIVATE, &mi);
  if (ptr == MAP_FAILED) {
    fprintf (stderr, "text_mmap fs error %d (%s) mmap-ping %s\n",
	     errno, strerror (errno), argv[1]);
    return 1;
  }

  res = (strlen (ptr) > 0) ? 0 : 1;
  text_munmap (&mi);
  return res;
}
/*
 * Local Variables:
 * c-file-style: "gnu"
 * indent-tabs-mode: nil
 * End:
 * text_mmap ends here */
